Bug 496666 - activationkey.getDetails returns package names twice
activationkey.getDetails returns package names twice
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-04-20 11:55 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-04-20 11:55:29 EDT
Description of problem:


 Method: getDetails
Description:
Lookup an activation key's details.

Parameters:

    * string sessionKey
    * string key

Returns:

    * struct - activation key
          o string "key"
          o string "description"
          o int "usage_limit"
          o string "base_channel_label"
          o array "child_channel_labels"
                + string childChannelLabel
          o array "entitlements"
                + string entitlementLabel
          o array "server_group_ids"
                + string serverGroupId
          o array "package_names"
                + string packageName                  <<<<<--------
          o array "packages"
                + struct - package
                      # name "string" - packageName  <<<<<---------
                      # arch "string" - archLabel - optional
          o boolean "universal_default"


I think package_names needs to be removed or deprecated both from document and code.
Comment 1 Sayli Karmarkar 2009-04-20 12:30:56 EDT
Also one more minor doc bug in the same api - keyname should be in double quotes and NOT type. So it should be string "name" and string "arch".
Comment 2 Brad Buckingham 2009-04-20 14:47:28 EDT
master git commit: 0a6c97a67c671188072d5089ab2a8a6c952313bf
vader git commit: ca5f250866ee1a7a9e3f65da2eb21f02c43afb35

These changes appear to be related to the modifications made with bug 456472.  This bug was done before we had defined how deprecation would be handled from a docs point of view.  As a result, I am also going to update the add/removePackageNames APIs with this one.

Changes made includes:

activationkey.getDetails - deprecated packages_names
activationkey.listActivationKeys - deprecated packages_names

activationkey.addPackageNames - deprecated api
activationkey.removePackageNames - deprecated api

fix the packages structure syntax mentioned in initial description
Comment 3 Brad Buckingham 2009-04-27 08:27:00 EDT
mass move to ON_QA
Comment 4 Sayli Karmarkar 2009-04-28 17:49:12 EDT
verified.
Comment 5 John Sefler 2009-08-28 11:48:48 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

click Help|About > API > activationkey > getDetails
 Method: getDetails
Description:
Lookup an activation key's details.

Parameters:

    * string sessionKey
    * string key

Returns:

    * struct - activation key
          o string "key"
          o string "description"
          o int "usage_limit"
          o string "base_channel_label"
          o array "child_channel_labels"
                + string childChannelLabel
          o array "entitlements"
                + string entitlementLabel
          o array "server_group_ids"
                + string serverGroupId
          o array "package_names"
                + string packageName - (deprecated by packages)
          o array "packages"
                + struct - package
                      # string "name" - packageName
                      # string "arch" - archLabel - optional
          o boolean "universal_default"

Available since: 10.2 

click Help|About > API > activationkey > listActivationKeys
 Method: listActivationKeys
Description:
List activation keys that are visible to the user.

Parameters:

    * string sessionKey

Returns:

    * array:
          o struct - activation key
                + string "key"
                + string "description"
                + int "usage_limit"
                + string "base_channel_label"
                + array "child_channel_labels"
                      # string childChannelLabel
                + array "entitlements"
                      # string entitlementLabel
                + array "server_group_ids"
                      # string serverGroupId
                + array "package_names"
                      # string packageName - (deprecated by packages)
                + array "packages"
                      # struct - package
                            * string "name" - packageName
                            * string "arch" - archLabel - optional
                + boolean "universal_default"

Available since: 10.2 

click Help|About > API > activationkey > addPackageNames
Method: addPackageNames
Description:
Add packages to an activation key using package name only.

Deprecated as of version - being replaced by addPackages(string sessionKey, string key, array[packages])

Parameters:

    * string sessionKey
    * string key
    * array:
          o string - packageName

Returns:

    * int - 1 on success, exception thrown otherwise. 

Available since: 10.2 

click Help|About > API > activationkey > removePackageNames
Method: removePackageNames
Description:
Remove package names from an activation key.

Deprecated as of version - being replaced by removePackages(string sessionKey, string key, array[packages])

Parameters:

    * string sessionKey
    * string key
    * array:
          o string - packageName

Returns:

    * int - 1 on success, exception thrown otherwise. 

Available since: 10.2 

moving to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 15:55:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.